# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.avro.hadoop.file.SortedKeyValueFile
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_FILENAME`
`"data"`
`public static final String`
`INDEX_FILENAME`
`"index"`

org.apache.avro.hadoop.io.AvroKeyValue<K,V>
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_FIELD`
`"key"`
`public static final String`
`KEY_VALUE_PAIR_RECORD_NAME`
`"KeyValuePair"`
`public static final String`
`KEY_VALUE_PAIR_RECORD_NAMESPACE`
`"org.apache.avro.mapreduce"`
`public static final String`
`VALUE_FIELD`
`"value"`

org.apache.avro.mapred.AvroInputFormat<T>
Modifier and Type
Constant Field
Value
`public static final String`
`IGNORE_FILES_WITHOUT_EXTENSION_KEY`
`"avro.mapred.ignore.inputs.without.extension"`
`public static final boolean`
`IGNORE_INPUTS_WITHOUT_EXTENSION_DEFAULT`
`true`
org.apache.avro.mapred.AvroJob
Modifier and Type
Constant Field
Value
`public static final String`
`BINARY_PREFIX`
`"avro.meta.binary."`
`public static final String`
`INPUT_IS_REFLECT`
`"avro.input.is.reflect"`
`public static final String`
`INPUT_SCHEMA`
`"avro.input.schema"`
`public static final String`
`MAP_OUTPUT_IS_REFLECT`
`"avro.map.output.is.reflect"`
`public static final String`
`MAP_OUTPUT_SCHEMA`
`"avro.map.output.schema"`
`public static final String`
`OUTPUT_CODEC`
`"avro.output.codec"`
`public static final String`
`OUTPUT_SCHEMA`
`"avro.output.schema"`
`public static final String`
`TEXT_PREFIX`
`"avro.meta.text."`
org.apache.avro.mapred.AvroOutputFormat<T>
Modifier and Type
Constant Field
Value
`public static final String`
`DEFLATE_LEVEL_KEY`
`"avro.mapred.deflate.level"`
`public static final String`
`EXT`
`".avro"`
`public static final String`
`SYNC_INTERVAL_KEY`
`"avro.mapred.sync.interval"`
`public static final String`
`XZ_LEVEL_KEY`
`"avro.mapred.xz.level"`
`public static final String`
`ZSTD_BUFFERPOOL_KEY`
`"avro.mapred.zstd.bufferpool"`
`public static final String`
`ZSTD_LEVEL_KEY`
`"avro.mapred.zstd.level"`

org.apache.avro.mapred.tether.TetherJob
Modifier and Type
Constant Field
Value
`public static final String`
`TETHER_EXEC`
`"avro.tether.executable"`
`public static final String`
`TETHER_EXEC_ARGS`
`"avro.tether.executable_args"`
`public static final String`
`TETHER_EXEC_CACHED`
`"avro.tether.executable_cached"`
`public static final String`
`TETHER_PROTOCOL`
`"avro.tether.protocol"`

org.apache.avro.mapreduce.AvroJob
Modifier and Type
Constant Field
Value
`public static final String`
`CONF_OUTPUT_CODEC`
`"avro.output.codec"`